class ComponentFactory.Krypton.Navigator.NavigatorButton
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property ButtonSpecs as ComponentFactory.Krypton.Navigator.NavigatorButtonSpecCollection
      get.

   def public property PreviousButton as ComponentFactory.Krypton.Navigator.ButtonSpecNavPrevious
      get.

   def public property PreviousButtonAction as ComponentFactory.Krypton.Navigator.DirectionButtonAction
      get.
      set.

   def public property PreviousButtonDisplay as ComponentFactory.Krypton.Navigator.ButtonDisplay
      get.
      set.

   def public property PreviousButtonShortcut as System.Windows.Forms.Keys
      get.
      set.

   def public property NextButton as ComponentFactory.Krypton.Navigator.ButtonSpecNavNext
      get.

   def public property NextButtonAction as ComponentFactory.Krypton.Navigator.DirectionButtonAction
      get.
      set.

   def public property NextButtonDisplay as ComponentFactory.Krypton.Navigator.ButtonDisplay
      get.
      set.

   def public property NextButtonShortcut as System.Windows.Forms.Keys
      get.
      set.

   def public property ContextButton as ComponentFactory.Krypton.Navigator.ButtonSpecNavContext
      get.

   def public property ContextButtonAction as ComponentFactory.Krypton.Navigator.ContextButtonAction
      get.
      set.

   def public property ContextButtonDisplay as ComponentFactory.Krypton.Navigator.ButtonDisplay
      get.
      set.

   def public property ContextButtonShortcut as System.Windows.Forms.Keys
      get.
      set.

   def public property ContextMenuMapText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property ContextMenuMapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property CloseButton as ComponentFactory.Krypton.Navigator.ButtonSpecNavClose
      get.

   def public property CloseButtonAction as ComponentFactory.Krypton.Navigator.CloseButtonAction
      get.
      set.

   def public property CloseButtonDisplay as ComponentFactory.Krypton.Navigator.ButtonDisplay
      get.
      set.

   def public property CloseButtonShortcut as System.Windows.Forms.Keys
      get.
      set.

   def public property ButtonDisplayLogic as ComponentFactory.Krypton.Navigator.ButtonDisplayLogic
      get.
      set.

   constructor public NavigatorButton(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetPreviousButtonShortcut():
   end method.

   method public final void ResetNextButtonShortcut():
   end method.

   method public final void ResetContextButtonShortcut():
   end method.

   method public final void ResetCloseButtonShortcut():
   end method.

   method public final void ResetButtonDisplayLogic():
   end method.

end class.
