class ComponentFactory.Krypton.Navigator.NavigatorToolTips
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property AllowPageToolTips as logical
      get.
      set.

   def public property AllowButtonSpecToolTips as logical
      get.
      set.

   def public property MapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property MapText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property MapExtraText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   constructor public NavigatorToolTips(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetMapImage():
   end method.

   method public final void ResetMapText():
   end method.

   method public final void ResetMapExtraText():
   end method.

end class.
