class ComponentFactory.Krypton.Toolkit.PaletteBack
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteBack:

   def public override property IsDefault as logical
      get.

   def public property Draw as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   def public property GraphicsHint as ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint
      get.
      set.

   def public property Color1 as System.Drawing.Color
      get.
      set.

   def public property Color2 as System.Drawing.Color
      get.
      set.

   def public property ColorStyle as ComponentFactory.Krypton.Toolkit.PaletteColorStyle
      get.
      set.

   def public property ColorAlign as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign
      get.
      set.

   def public property ColorAngle as decimal
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageStyle as ComponentFactory.Krypton.Toolkit.PaletteImageStyle
      get.
      set.

   def public property ImageAlign as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PaletteBack(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteBack, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetInherit(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteBack):
   end method.

   method public final void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetBackDraw(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint GetBackGraphicsHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetBackColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetBackColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetBackColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBackColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final decimal GetBackColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Image GetBackImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetBackImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBackImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method protected void OnPropertyChanged(input property as character):
   end method.

end class.
