class ComponentFactory.Krypton.Toolkit.PaletteDoubleRedirect
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble:

   def public override property IsDefault as logical
      get.

   def public property Back as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property PaletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack
      get.

   def public property BackStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle
      get.
      set.

   def public property Border as ComponentFactory.Krypton.Toolkit.PaletteBorder
      get.

   def public property PaletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder
      get.

   def public property BorderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle
      get.
      set.

   constructor public PaletteDoubleRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input backStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input borderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle):
   end constructor.

   constructor public PaletteDoubleRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input backStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input borderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   constructor public PaletteDoubleRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input back as ComponentFactory.Krypton.Toolkit.PaletteBack, input backInherit as ComponentFactory.Krypton.Toolkit.PaletteBackInheritRedirect, input border as ComponentFactory.Krypton.Toolkit.PaletteBorder, input borderInherit as ComponentFactory.Krypton.Toolkit.PaletteBorderInheritRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRedirect GetRedirector():
   end method.

   method public void SetRedirector(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect):
   end method.

   method public final void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void SetStyles(input backStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input borderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle):
   end method.

   method public final void SetStyles(input separatorStyle as ComponentFactory.Krypton.Toolkit.SeparatorStyle):
   end method.

   method public final void SetStyles(input inputControlStyle as ComponentFactory.Krypton.Toolkit.InputControlStyle):
   end method.

   method protected final void OnNeedPaint(input sender as System.Object, input needLayout as logical):
   end method.

end class.
