class DataPA.StrongTypesNS.DBDataTable
   inherits System.Data.DataTable
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable, System.Xml.Serialization.IXmlSerializable, System.Collections.IEnumerable:

   def public property DBIDColumn as System.Data.DataColumn
      get.

   def public property LogNameColumn as System.Data.DataColumn
      get.

   def public property PhNameColumn as System.Data.DataColumn
      get.

   def public property Count as integer
      get.

   def public property Item as DataPA.StrongTypesNS.DBRow
      get.

   def public event DBRowChanging signature void (input sender as System.Object, input e as DataPA.StrongTypesNS.DBRowChangeEvent).

   def public event DBRowChanged signature void (input sender as System.Object, input e as DataPA.StrongTypesNS.DBRowChangeEvent).

   def public event DBRowDeleting signature void (input sender as System.Object, input e as DataPA.StrongTypesNS.DBRowChangeEvent).

   def public event DBRowDeleted signature void (input sender as System.Object, input e as DataPA.StrongTypesNS.DBRowChangeEvent).

   constructor public DBDataTable():
   end constructor.

   constructor public DBDataTable(input table as System.Data.DataTable):
   end constructor.

   constructor protected DBDataTable(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final void Add(input o as System.Object):
   end method.

   method public final void AddDBRow(input row as DataPA.StrongTypesNS.DBRow):
   end method.

   method public final DataPA.StrongTypesNS.DBRow AddDBRow(input DBID as integer, input LogName as character, input PhName as character):
   end method.

   method public final DataPA.StrongTypesNS.DBRow FindByDBID(input DBID as integer):
   end method.

   method public System.Collections.IEnumerator GetEnumerator():
   end method.

   method public override System.Data.DataTable Clone():
   end method.

   method protected override System.Data.DataTable CreateInstance():
   end method.

   method public final DataPA.StrongTypesNS.DBRow NewDBRow():
   end method.

   method protected override System.Data.DataRow NewRowFromBuilder(input builder as System.Data.DataRowBuilder):
   end method.

   method protected override System.Type GetRowType():
   end method.

   method protected override void OnRowChanged(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected override void OnRowChanging(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected override void OnRowDeleted(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected override void OnRowDeleting(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method public final void RemoveDBRow(input row as DataPA.StrongTypesNS.DBRow):
   end method.

end class.
