class DataPAEnterpriseDashboard.SummaryData
   inherits System.Object
   implements DataPAEnterpriseDashboard.SummaryData._SummaryData, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Parent as DataPAEnterpriseDashboard.DashboardObject
      get.
      set.

   def public property SuppressThousandSeparator as logical
      get.
      set.

   def public property NestedGroupColumns as logical
      get.

   def public property Filter as DataPAEnterpriseDashboard.DashboardFilter
      get.
      set.

   def public property FilterNodes as DataPAEnterpriseDashboard.FilterNodes
      get.
      set.

   def public property TreeViewFilterPanelFilterString as character
      get.

   def public property AdditionalFilterColumns as Microsoft.VisualBasic.Collection
      get.

   def public property Cube as DataPAEnterpriseDashboard.CubeDataRenderer
      get.

   def public property SourceDataTable as System.Data.DataTable
      get.

   def public property ComSourceDataTable as ADODB.Recordset
      get.

   def public property DataModified as logical
      get.
      set.

   def public property GroupColumns as DataPAEnterpriseDashboard.GroupColumns
      get.
      set.

   def public property SummaryColumns as DataPAEnterpriseDashboard.SummaryColumns
      get.
      set.

   def public property SummaryDataTable as System.Data.DataTable
      get.
      set.

   def public property ComSummaryDataTable as ADODB.Recordset
      get.

   def public property DataTag as character
      get.
      set.

   def public property IterationType as DataPAEnterpriseDashboard.SummaryData.SummaryDataIterationType
      get.
      set.

   def public property Clone as DataPAEnterpriseDashboard.SummaryData
      get.

   constructor public SummaryData():
   end constructor.

   constructor public SummaryData(input NestedGroupColumns as logical):
   end constructor.

   constructor public SummaryData(input DataTag as character):
   end constructor.

   constructor public SummaryData(input NestedGroupColumns as logical, input DataTag as character):
   end constructor.

   constructor public SummaryData(input Parent as DataPAEnterpriseDashboard.DashboardObject):
   end constructor.

   constructor public SummaryData(input Parent as DataPAEnterpriseDashboard.DashboardObject, input NestedGroupColumns as logical):
   end constructor.

   constructor public SummaryData(input Parent as DataPAEnterpriseDashboard.DashboardObject, input DataTag as character):
   end constructor.

   constructor public SummaryData(input Parent as DataPAEnterpriseDashboard.DashboardObject, input NestedGroupColumns as logical, input DataTag as character):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public final void ResetSummaryDatatable():
   end method.

   method public final void BuildTreeViewData(input SourceDataTable as System.Data.DataTable):
   end method.

   method public final void BuildSummaryDataTable(input SourceDataTable as System.Data.DataTable):
   end method.

end class.
