class Infragistics.UltraChart.Core.ChartCore
   inherits System.Object
   implements System.IDisposable:

   def public variable Environment as System.Collections.Hashtable.

   def public variable DataBindNotCalledMessage as character.

   def public variable Is3D as logical.

   def public variable BaseScene as Infragistics.UltraChart.Core.SceneGraph.

   def public variable ScrollScene as Infragistics.UltraChart.Core.SceneGraph.

   def public variable newWidth as integer.

   def public variable newHeight as integer.

   def public variable ScrollType as integer.

   def public variable GridLayerBounds as System.Drawing.Rectangle.

   def public variable ScrollGridLayerBounds as System.Drawing.Rectangle.

   def public variable TitleLayerBounds as System.Drawing.Rectangle.

   def public property ChartColorModel as Infragistics.UltraChart.Core.ColorModel.IColorModel
      get.
      set.

   def public property LabelHash as System.Collections.Hashtable
      get.
      set.

   def public property ChartType as Infragistics.UltraChart.Shared.Styles.ChartType
      get.
      set.

   def public property SceneGraph as Infragistics.UltraChart.Core.SceneGraph
      get.

   def public property Dirty as logical
      get.
      set.

   def public property LayerHash as System.Collections.Hashtable
      get.
      set.

   def public property ChartScrollBar as Infragistics.UltraChart.Core.Primitives.ScrollBar
      get.

   def public property SkinImage as System.Drawing.Bitmap
      get.
      set.

   constructor public ChartCore(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public final void Dispose():
   end method.

   method public final Infragistics.UltraChart.Data.IChartData GetCurrentDataRef():
   end method.

   method public final Infragistics.UltraChart.Data.IChartData extent GetCurrentMultipleDataRef():
   end method.

   method protected final void SetDataIntoLayers(input data as Infragistics.UltraChart.Data.IChartData):
   end method.

   method public final Infragistics.UltraChart.Core.Layers.ChartLayer GetChartLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.TitleLayer GetTitleLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.DrillLayer GetDrillLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.BorderLayer GetBorderLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.ILayer GetGridLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.ThreeDGridLayer GetGrid3DLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.LegendLayer GetLegendLayer():
   end method.

   method public final Infragistics.UltraChart.Core.Layers.AdornmentLayer GetAdornmentLayer():
   end method.

   method public final Infragistics.UltraChart.Core.ColorModel.IColorModel GetIColorModel():
   end method.

   method public final void SetSize(input width as integer, input height as integer):
   end method.

   method public final void ResizeAllLayers():
   end method.

   method protected final void CreateDemoData():
   end method.

   method public final void ResetDemoData():
   end method.

   method public final void DrawChart():
   end method.

   method public final logical DrawChartWeb():
   end method.

   method public final void DrawInvalidChartImage(input message as character):
   end method.

   method public final Infragistics.UltraChart.Data.IChartData getProperDataForMultipleChart(input prim as Infragistics.UltraChart.Core.Primitives.Primitive):
   end method.

   method public final Infragistics.UltraChart.Data.IChartData getProperDataForMultipleChart(input axisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber):
   end method.

   method public final Infragistics.UltraChart.Shared.Events.ChartDataEventArgs GetChartInfoFromPrimitive(input prim as Infragistics.UltraChart.Core.Primitives.Primitive):
   end method.

   method public final void Invalidate():
   end method.

   method public final Infragistics.UltraChart.Core.Primitives.Primitive GetChartPrimitiveFromPoint(input point as System.Drawing.Point):
   end method.

   method public final Infragistics.UltraChart.Core.Primitives.Primitive GetChartPrimitiveFromRowColumn(input row as integer, input column as integer):
   end method.

   method public final System.Drawing.Point InternalRowAndColumn(input externalRowAndColumn as System.Drawing.Point):
   end method.

end class.
