class Infragistics.UltraChart.Resources.Appearance.ChartArea
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property Axes as Infragistics.UltraChart.Resources.AxisCollection
      get.

   def public property Key as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Bounds as System.Drawing.Rectangle
      get.
      set.

   def public property BoundsMeasureType as Infragistics.UltraChart.Shared.Styles.MeasureType
      get.
      set.

   def public property PE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property GridPE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property Border as Infragistics.UltraChart.Resources.Appearance.BorderAppearance
      get.
      set.

   def public property InnerBounds as System.Drawing.Rectangle
      get.

   constructor public ChartArea():
   end constructor.

   constructor public ChartArea(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeAxes():
   end method.

   method public final void ResetAxes():
   end method.

   method public final override Infragistics.UltraChart.Resources.Appearance.ChartArea Clone():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected final logical ShouldSerializeBounds():
   end method.

   method public final void ResetBounds():
   end method.

   method protected final logical ShouldSerializeBoundsMeasureType():
   end method.

   method public final void ResetBoundsMeasureType():
   end method.

   method public final void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph, input chartComponent as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore):
   end method.

end class.
