class Infragistics.UltraChart.Resources.Appearance.WinTooltipAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Display as Infragistics.UltraChart.Shared.Styles.TooltipDisplay
      get.
      set.

   def public property HighlightDataPoint as logical
      get.
      set.

   def public property Format as Infragistics.UltraChart.Shared.Styles.TooltipStyle
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property FontColor as System.Drawing.Color
      get.
      set.

   def public property AlphaLevel as integer
      get.
      set.

   def public property BorderStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property BorderThickness as integer
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property HighlightFillColor as System.Drawing.Color
      get.
      set.

   def public property HighlightOutlineColor as System.Drawing.Color
      get.
      set.

   def public property PE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property TooltipControl as System.Windows.Forms.Control
      get.
      set.

   def public property UseControl as logical
      get.
      set.

   def public property Overflow as Infragistics.UltraChart.Shared.Styles.TooltipOverflow
      get.
      set.

   constructor public WinTooltipAppearance():
   end constructor.

   constructor public WinTooltipAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeDisplay():
   end method.

   method public final void ResetDisplay():
   end method.

   method protected final logical ShouldSerializeHighlightDataPoint():
   end method.

   method public final void ResetHighlightDataPoint():
   end method.

   method protected final logical ShouldSerializeFormat():
   end method.

   method public final void ResetFormat():
   end method.

   method protected final logical ShouldSerializeFormatString():
   end method.

   method public final void ResetFormatString():
   end method.

   method protected final logical ShouldSerializeFont():
   end method.

   method public final void ResetFont():
   end method.

   method protected final logical ShouldSerializeFontColor():
   end method.

   method public final void ResetFontColor():
   end method.

   method protected final logical ShouldSerializeAlphaLevel():
   end method.

   method public final void ResetAlphaLevel():
   end method.

   method protected final logical ShouldSerializeBorderStyle():
   end method.

   method public final void ResetBorderStyle():
   end method.

   method public final void ResetOverflow():
   end method.

   method protected final logical ShouldSerializeOverflow():
   end method.

   method protected final logical ShouldSerializeBorderThickness():
   end method.

   method public final void ResetBorderThickness():
   end method.

   method protected final logical ShouldSerializeBorderColor():
   end method.

   method public final void ResetBorderColor():
   end method.

   method protected final logical ShouldSerializeBackColor():
   end method.

   method public final void ResetBackColor():
   end method.

   method protected final logical ShouldSerializeHighlightFillColor():
   end method.

   method public final void ResetHighlightFillColor():
   end method.

   method protected final logical ShouldSerializeHighlightOutlineColor():
   end method.

   method public final void ResetHighlightOutlineColor():
   end method.

   method public final void SetHighlightDataPoint(input row as integer, input column as integer):
   end method.

   method public final void SetHighlightClearAll():
   end method.

   method public final Infragistics.UltraChart.Shared.Events.ChartDataEventArgs GetChartInfoFromPoint(input x as integer, input y as integer):
   end method.

   method protected final void GenerateFormatString():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializePE():
   end method.

   method public final void ResetPE():
   end method.

end class.
