class RunDataPA.Query
   inherits System.Object:

   def public variable ID as character.

   def public variable Keywords as character.

   def public variable Category as character.

   def public variable Comments as character.

   def public variable Author as character.

   def public property AdodbRequired as logical
      get.
      set.

   def public property ErrorMessage as character
      get.
      set.

   def public property Application as RunDataPA.Application
      get.
      set.

   def public property Conditions as ADODB.Recordset
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property System_Renamed as character
      get.
      set.

   def public property Subject as character
      get.
      set.

   def public property DisplayFields as RunDataPA.Fields
      get.
      set.

   def public property SortFields as RunDataPA.Fields
      get.
      set.

   def public property ResultsSet as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property RequiredFields as RunDataPA.Fields
      get.

   def public property RequiredFieldValues as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property SkipIntro as logical
      get.
      set.

   def public property UseLabels as logical
      get.
      set.

   def public property SkipExport as logical
      get.
      set.

   def public property BaseQuery as character
      get.

   def public property Fields as RunDataPA.Fields
      get.
      set.

   def public property Filename as character
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public property Children as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property Parent as RunDataPA.Query
      get.
      set.

   def public property SubjectTitle as character
      get.

   def public property QueryType_Renamed as RunDataPA.Query.QueryType
      get.

   def public property SmartDataObject as character
      get.

   def public property UserLevel as character
      get.
      set.

   def public property CombineResults as logical
      get.
      set.

   def public property OuterJoin as logical
      get.
      set.

   def public property SQLQueryString as character
      get.
      set.

   def public property DebugQuery as logical
      get.
      set.

   def public property Valid as logical
      get.

   def public property Parameters as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property UseParametersAsDefault as logical
      get.
      set.

   def public property HideWizardOnRun as logical
      get.
      set.

   def public property GetLastValues as Microsoft.VisualBasic.Collection
      get.

   def public property QueryLookups as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property InnerJoin as logical
      get.
      set.

   def public property Summary as logical
      get.
      set.

   def public property ForceConnection as character
      get.
      set.

   def public property SummaryFill as logical
      get.
      set.

   def public property LastRefreshCompleted as datetime
      get.
      set.

   def public event CancelRunQuery signature void ().

   constructor public Query():
   end constructor.

   constructor public Query(input Application as RunDataPA.Application):
   end constructor.

   constructor public Query(input Application as RunDataPA.Application, input QueryString as character):
   end constructor.

   constructor public Query(input Application as RunDataPA.Application, input QueryString as character, input LineCount as integer):
   end constructor.

   constructor public Query(input Application as RunDataPA.Application, input QueryString as character, input ErrorString as character, input WarningString as character):
   end constructor.

   constructor public Query(input Application as RunDataPA.Application, input QueryString as character, input ErrorString as character, input WarningString as character, input LineCount as integer):
   end constructor.

   method public final void Save():
   end method.

   method public final void GenerateID():
   end method.

   method public final character SaveToString():
   end method.

   method public final void RunQuery(input OwnerForm as System.Object):
   end method.

   method protected final override void Finalize():
   end method.

   method public final void SetRequiredValue(input FieldName as character, input Value as System.Object):
   end method.

   method public final void SetSkipField(input FieldName as character):
   end method.

   method public final void UnSetRequiredValue(input FieldName as character):
   end method.

   method public final logical IsValueSet(input FieldName as character):
   end method.

   method public final void AddCondition(input AndOr as character, input Field as System.Object, input Operator as character, input Prompt as logical, input Expression as character, input Label as character, input Description as character, input Mandatory as logical, input OpenBrackets as integer, input CloseBrackets as integer):
   end method.

   method public final integer LastChild():
   end method.

   method public final RunDataPA.Query GetChild(input ix as integer):
   end method.

   method public final override RunDataPA.Query Clone():
   end method.

   method public final character DateToString(input value as datetime):
   end method.

   method public final datetime DateFromString(input value as character):
   end method.

end class.
