class System.ServiceModel.Channels.MessageFault
   inherits System.Object
   abstract:

   def public property Actor as character
      get.

   def public abstract property Code as System.ServiceModel.FaultCode
      get.

   def public property IsMustUnderstandFault as logical
      get.

   def public property Node as character
      get.

   def public abstract property HasDetail as logical
      get.

   def public abstract property Reason as System.ServiceModel.FaultReason
      get.

   constructor protected MessageFault():
   end constructor.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input code as System.ServiceModel.FaultCode, input reason as character):
   end method.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input code as System.ServiceModel.FaultCode, input reason as System.ServiceModel.FaultReason):
   end method.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input code as System.ServiceModel.FaultCode, input reason as System.ServiceModel.FaultReason, input detail as System.Object):
   end method.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input code as System.ServiceModel.FaultCode, input reason as System.ServiceModel.FaultReason, input detail as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer):
   end method.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input code as System.ServiceModel.FaultCode, input reason as System.ServiceModel.FaultReason, input detail as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer, input actor as character):
   end method.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input code as System.ServiceModel.FaultCode, input reason as System.ServiceModel.FaultReason, input detail as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer, input actor as character, input node as character):
   end method.

   method public final static System.ServiceModel.Channels.MessageFault CreateFault(input message as System.ServiceModel.Channels.Message, input maxBufferSize as integer):
   end method.

   method public final System.Xml.XmlDictionaryReader GetReaderAtDetailContents():
   end method.

   method protected void OnWriteDetail(input writer as System.Xml.XmlDictionaryWriter, input version as System.ServiceModel.EnvelopeVersion):
   end method.

   method protected void OnWriteStartDetail(input writer as System.Xml.XmlDictionaryWriter, input version as System.ServiceModel.EnvelopeVersion):
   end method.

   method protected abstract void OnWriteDetailContents(input writer as System.Xml.XmlDictionaryWriter).

   method protected System.Xml.XmlDictionaryReader OnGetReaderAtDetailContents():
   end method.

   method public final static logical WasHeaderNotUnderstood(input headers as System.ServiceModel.Channels.MessageHeaders, input name as character, input ns as character):
   end method.

   method public final void WriteTo(input writer as System.Xml.XmlWriter, input version as System.ServiceModel.EnvelopeVersion):
   end method.

   method public final void WriteTo(input writer as System.Xml.XmlDictionaryWriter, input version as System.ServiceModel.EnvelopeVersion):
   end method.

end class.
