interface System._AppDomain:

   def public property Evidence as System.Security.Policy.Evidence
      get.

   def public property FriendlyName as character
      get.

   def public property BaseDirectory as character
      get.

   def public property RelativeSearchPath as character
      get.

   def public property ShadowCopyFiles as logical
      get.

   def public property DynamicDirectory as character
      get.

   def public event DomainUnload signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AssemblyLoad signature void (input sender as System.Object, input args as System.AssemblyLoadEventArgs).

   def public event ProcessExit signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TypeResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event ResourceResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event AssemblyResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event UnhandledException signature void (input sender as System.Object, input e as System.UnhandledExceptionEventArgs).

   method public void GetTypeInfoCount(input pcTInfo as integer).

   method public void GetTypeInfo(input iTInfo as integer, input lcid as integer, input ppTInfo as System.IntPtr).

   method public void GetIDsOfNames(input riid as System.Guid, input rgszNames as System.IntPtr, input cNames as integer, input lcid as integer, input rgDispId as System.IntPtr).

   method public void Invoke(input dispIdMember as integer, input riid as System.Guid, input lcid as integer, input wFlags as integer, input pDispParams as System.IntPtr, input pVarResult as System.IntPtr, input pExcepInfo as System.IntPtr, input puArgErr as System.IntPtr).

   method public character ToString().

   method public logical Equals(input other as System.Object).

   method public final integer GetHashCode().

   method public System.Type GetType().

   method public System.Object InitializeLifetimeService().

   method public System.Object GetLifetimeService().

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input evidence as System.Security.Policy.Evidence).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet).

   method public System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet, input isSynchronized as logical).

   method public System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character).

   method public System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character).

   method public System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character, input activationAttributes as System.Object extent).

   method public System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character, input activationAttributes as System.Object extent).

   method public System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent, input securityAttributes as System.Security.Policy.Evidence).

   method public System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent, input securityAttributes as System.Security.Policy.Evidence).

   method public System.Reflection.Assembly Load(input assemblyRef as System.Reflection.AssemblyName).

   method public System.Reflection.Assembly Load(input assemblyString as character).

   method public System.Reflection.Assembly Load(input rawAssembly as System.Byte extent).

   method public System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent).

   method public System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent, input securityEvidence as System.Security.Policy.Evidence).

   method public System.Reflection.Assembly Load(input assemblyRef as System.Reflection.AssemblyName, input assemblySecurity as System.Security.Policy.Evidence).

   method public System.Reflection.Assembly Load(input assemblyString as character, input assemblySecurity as System.Security.Policy.Evidence).

   method public integer ExecuteAssembly(input assemblyFile as character, input assemblySecurity as System.Security.Policy.Evidence).

   method public integer ExecuteAssembly(input assemblyFile as character).

   method public integer ExecuteAssembly(input assemblyFile as character, input assemblySecurity as System.Security.Policy.Evidence, input args as System.String extent).

   method public System.Reflection.Assembly extent GetAssemblies().

   method public void AppendPrivatePath(input path as character).

   method public void ClearPrivatePath().

   method public void SetShadowCopyPath(input s as character).

   method public void ClearShadowCopyPath().

   method public void SetCachePath(input s as character).

   method public void SetData(input name as character, input data as System.Object).

   method public System.Object GetData(input name as character).

   method public void SetAppDomainPolicy(input domainPolicy as System.Security.Policy.PolicyLevel).

   method public void SetThreadPrincipal(input principal as System.Security.Principal.IPrincipal).

   method public void SetPrincipalPolicy(input policy as System.Security.Principal.PrincipalPolicy).

   method public void DoCallBack(input theDelegate as System.CrossAppDomainDelegate).

end interface.
