class OpenEdge.Core.Collections.MapBackedCollection abstract serializable 
        implements OpenEdge.Core.Collections.ICollection:
    
    define protected property OwningMap  as OpenEdge.Core.Collections.IMap no-undo get.
    define protected property OwningBuffer as handle no-undo get.
    define protected property KeyField as handle no-undo get.
    
    define public property Size as integer no-undo get.
    
    constructor public MapBackedCollection(poMap as OpenEdge.Core.Collections.IMap, phTT as handle, pcValuefield as char):
    end constructor.
    
    method public logical Add(p1 as Progress.Lang.Object):
    end method.

    method public logical AddAll( p1 as OpenEdge.Core.Collections.ICollection ):
    end method.
    
    method public logical AddArray(p1 as Progress.Lang.Object extent ):
    end method.

    method public void Clear():
    end method.
   
    method public logical IsEmpty():
    end method.
    
    method abstract public logical Contains( p1 as Progress.Lang.Object).
    
    method abstract public logical ContainsAll(input p1 as OpenEdge.Core.Collections.ICollection).
    
    method abstract public logical Remove( p1 as Progress.Lang.Object).
    
    method abstract public logical RemoveAll(p1 as OpenEdge.Core.Collections.ICollection).
    
    method abstract public logical RetainAll(input p1 as OpenEdge.Core.Collections.ICollection).
    
    method public OpenEdge.Core.Collections.IIterator Iterator( ):    
    end method.
    
    method public Progress.Lang.Object extent ToArray():
    end method.
    
    method public void ToTable( output table-handle p1):
    end method.
     
end class. 