class OpenEdge.DataAdmin.PartitionPolicy:
inherits OpenEdge.DataAdmin.AbstractPartitionParent:
implements OpenEdge.DataAdmin.IPartitionPolicy:

   method public OpenEdge.DataAdmin.Error.UnsupportedOperationError AddDetailError (input a as character).
   end.
   
   method public logical AddDetailsFromData ().
   end.
   
   method public logical AddDetailsFromData (input a as character).
   end.
   
   method public logical AddDetailsFromData (input a as character, input b as character).
   end.
   
   method public void AssertLoadFromData ().
   end.
   
   method public void ConvertTokensToSubstitute (input a as character, input b as character, input c as character).
   end.
   
   method public OpenEdge.DataAdmin.Binding.IDataAdminModel CreateLocalContext ().
   end.
   
   method public character GetValidDefaultAllocationList ().
   end.

   constructor public PartitionPolicy (input a as character).
   end constructor.
   
   constructor public PartitionPolicy (input o as OpenEdge.DataAdmin.Binding.IDataAdminModel).
   end constructor.
   
   constructor public PartitionPolicy (input o as OpenEdge.DataAdmin.Binding.IDataAdminModel, input o1 as OpenEdge.DataAdmin.IRequestInfo).
   end constructor.
   
   define public property DefaultAllocation as character get. set.
   define public property DefaultDataArea as OpenEdge.DataAdmin.IArea get. set.
   define public property DefaultIndexArea as OpenEdge.DataAdmin.IArea get. set.
   define public property DefaultLobArea as OpenEdge.DataAdmin.IArea get. set.
   define public property Details as OpenEdge.DataAdmin.IPartitionPolicyDetailSet get. set.
   define public property Fields as OpenEdge.DataAdmin.IFieldList get. set.
   define public property HasComposite as logical get. set.
   define public property HasRange as logical get. set.
   define public property Indexes as OpenEdge.DataAdmin.IIndexSet get. set.
   define public property IsCompositeReadOnly as logical get. set.
   define public property IsReadOnly as logical get. set.
   define public property NumFields as integer get. set.
   define public property PartitionPolicyContext as OpenEdge.DataAdmin.Binding.PartitionPolicyContext get. set.
   define public property Table as OpenEdge.DataAdmin.ITable get. set.
   define public property Type as logical get. set.

end.