class OpenEdge.Logging.Logger final 
implements OpenEdge.Logging.ILogWriter, OpenEdge.Logging.Format.ISupportFormatting:
  
  define public property Format as character no-undo get. set.
  
  define public property LogLevel as OpenEdge.Logging.LogLevelEnum no-undo get. private set.
  
  define public property Name as character no-undo get. private set.
  
  define protected property ShortName as character no-undo get. private set.
  
  method public void Debug(input p1 as character):
  end.
  
  method public void Debug(input p1 as character, input p2 as character):
  end.
  
  method public void Debug(input p1 as character, input p2 as character, input p3 as Progress.Lang.Error):
  end.
  
  method public void Debug(input p1 as character, input p2 as Progress.Lang.Error):
  end.
  
  method public void Debug(input p1 as OpenEdge.Logging.LogMessage):
  end.
  
  method public void Debug(input p1 as OpenEdge.Logging.LogMessage, input p2 as Progress.Lang.Error):
  end.
  
  method override public logical Equals( input p1 as Progress.Lang.Object ):
  end.
  
  method public void Error(input p1 as character):
  end.
  
  method public void Error(input p1 as character, input p2 as character):
  end.
  
  method public void Error(input p1 as character, input p2 as character, input p3 as Progress.Lang.Error):
  end.
  
  method public void Error(input p1 as character, input p2 as Progress.Lang.Error):
  end.
  
  method public void Error(input p1 as OpenEdge.Logging.LogMessage):
  end.
  
  method public void Error(input p1 as OpenEdge.Logging.LogMessage, input p2 as Progress.Lang.Error):
  end.
  
  method public void Fatal(input p1 as character):
  end.
  
  method public void Fatal(input p1 as character, input p2 as character):
  end.
  
  method public void Fatal(input p1 as character, input p2 as character, input p3 as Progress.Lang.Error):
  end.
  
  method public void Fatal(input p1 as character, input p2 as Progress.Lang.Error):
  end.
  
  method public void Fatal(input p1 as OpenEdge.Logging.LogMessage):
  end.
  
  method public void Fatal(input p1 as OpenEdge.Logging.LogMessage, input p2 as Progress.Lang.Error):
  end.
  
  method public void Info(input p1 as character):
  end.
  
  method public void Info(input p1 as character, input p2 as character):
  end.
  
  method public void Info(input p1 as character, input p2 as character, input p3 as Progress.Lang.Error):
  end.
  
  method public void Info(input p1 as character, input p2 as Progress.Lang.Error):
  end.
  
  method public void Info(input p1 as OpenEdge.Logging.LogMessage):
  end.
  
  method public void Info(input p1 as OpenEdge.Logging.LogMessage, input p2 as Progress.Lang.Error):
  end.
  
  constructor public Logger(input p1 as character, input p2 as OpenEdge.Logging.LogLevelEnum, input p3 as OpenEdge.Logging.Filter.LoggerFilterList):
  end.
  
  method public void Trace(input p1 as character):
  end.
  
  method public void Trace(input p1 as character, input p2 as character):
  end.
  
  method public void Trace(input p1 as character, input p2 as character, input p3 as Progress.Lang.Error):
  end.
  
  method public void Trace(input p1 as character, input p2 as Progress.Lang.Error):
  end.
  
  method public void Trace(input p1 as OpenEdge.Logging.LogMessage):
  end.
  
  method public void Trace(input p1 as OpenEdge.Logging.LogMessage, input p2 as Progress.Lang.Error):
  end.
  
  method public void Warn(input p1 as character):
  end.
  
  method public void Warn(input p1 as character, input p2 as character):
  end.
  
  method public void Warn(input p1 as character, input p2 as character, input p3 as Progress.Lang.Error):
  end.
  
  method public void Warn(input p1 as character, input p2 as Progress.Lang.Error):
  end.
  
  method public void Warn(input p1 as OpenEdge.Logging.LogMessage):
  end.
  
  method public void Warn(input p1 as OpenEdge.Logging.LogMessage, input p2 as Progress.Lang.Error):
  end.
  
  method private void WriteMessage(input p1 as OpenEdge.Logging.LogLevelEnum, input p2 as OpenEdge.Logging.LogMessage, input p3 as Progress.Lang.Error):
  end.
  
end.
