class OpenEdge.Net.HTTP.AuthenticatedRequest 
inherits OpenEdge.Net.HTTP.HttpRequestDecorator  
implements OpenEdge.Net.HTTP.IAuthenticatedRequest:
    
    define public property AuthenticationMethod as character no-undo get.

    define public property Credentials as OpenEdge.Net.HTTP.Credentials no-undo get. set.

    define public property AuthenticationChallenge as character no-undo get.
    
    constructor public AuthenticatedRequest(input poHttpRequest as OpenEdge.Net.HTTP.IHttpRequest):
    end constructor.

    method public void AddAuthentication():
    end method.

    method public void SetChallenge(input pcAuthMethod as character,
                                    input pcChallenge as character):
    end method.

    method public void AddAuthenticationCallback(input poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler):
    end method.
    
    method public void RemoveAuthenticationCallback(input poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler):
    end method.
  
    method public integer GetAuthenticationCallbacks(output poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler extent).
    end method.
    
end class.
