class OpenEdge.Net.HTTP.Filter.Auth.AuthenticationRequestFilter 
        implements OpenEdge.Net.HTTP.IHttpMessageWriter, OpenEdge.Net.HTTP.Filter.IFilterEvents, OpenEdge.Core.ISupportInitialize
        abstract:
    
    define public event HttpCredentialRequest signature void (
                                    input poSender as Progress.Lang.Object,
                                    input poEventArgs as OpenEdge.Net.HTTP.AuthenticationRequestEventArgs).

    define public property FilterEventListenerType as class Progress.Lang.Class no-undo get.
    
    define public property Message as OpenEdge.Net.HTTP.IHttpMessage no-undo get. private set.
    
    define protected property AuthenticatedRequest as OpenEdge.Net.HTTP.IAuthenticatedRequest no-undo get. private set.
    
    constructor public AuthenticationRequestFilter(input poRequest as OpenEdge.Net.HTTP.IAuthenticatedRequest):
    end.
    
    destructor AuthenticationRequestFilter():
    end destructor.
    
    method public void Close():
    end method.

    method public void Flush():
    end method.
    
    method abstract protected void AddAuthentication().
    
    method public void Open():
    end method.
    
    method public void Write(input-output pcData as longchar):
    end method.

    method public void Write(input pmData as memptr):
    end method.

    method public void Write(input poData as Progress.Lang.Object):
    end method.
    
    method public void Write(input phData as handle):    
    end method.

    method public void Write(input-output pcData as character):    
    end method.    
    
    method protected void OnHttpCredentialRequest(input poAuthRequestArgs as OpenEdge.Net.HTTP.AuthenticationRequestEventArgs):
    end method.
    
    method protected OpenEdge.Net.HTTP.Credentials GetCredentials(input pcRealm as character):
    end method.
    
    method public void SubscribeListener(input poListener as Progress.Lang.Object):
    end method.
    
    method public void UnsubscribeListener(input poListener as Progress.Lang.Object):
    end method.
    
    method public void Initialize():
    end method.
    
    method public void Destroy(  ):
    end method.
    
end class.