class OpenEdge.Net.HTTP.Filter.Writer.RequestWriterBuilder 
inherits OpenEdge.Net.HTTP.ConfigBuilder:

    define public property Request as OpenEdge.Net.HTTP.IHttpRequest no-undo get.
    
    define public property Writer as OpenEdge.Net.HTTP.Filter.Payload.MessageWriter no-undo get.
    
    define static public property Registry as OpenEdge.Net.HTTP.BuilderRegistry no-undo get.

    method static private void InitializeRegistry(input poRegistry as OpenEdge.Net.HTTP.BuilderRegistry):
    end method.
    
    method static public OpenEdge.Net.HTTP.Filter.Writer.RequestWriterBuilder Build(input pRequest as OpenEdge.Net.HTTP.IHttpRequest):
    end method.

    method static public OpenEdge.Net.HTTP.Filter.Writer.RequestWriterBuilder Build():
    end method.
    
    constructor public RequestWriterBuilder ():
    end constructor.

    constructor public RequestWriterBuilder (input pRequest as OpenEdge.Net.HTTP.IHttpRequest):
    end constructor.

    method public OpenEdge.Net.HTTP.Filter.Writer.RequestWriterBuilder Request(input poMessage as OpenEdge.Net.HTTP.IHttpRequest):
    end method.    

    method public OpenEdge.Net.HTTP.Filter.Writer.RequestWriterBuilder WriteTo(input poMessageBody as OpenEdge.Core.ByteBucket):
    end method.    
    
    method protected OpenEdge.Net.HTTP.Filter.Payload.MessageWriter NewRequestWriter():
    end method.

    method protected class Progress.Lang.Class GetWriter(input pRequest as OpenEdge.Net.HTTP.IHttpRequest,
                                                         input pRegistry as OpenEdge.Net.HTTP.BuilderRegistry):
    end method.
    
end class.