class OpenEdge.Net.HTTP.HttpClient
implements OpenEdge.Net.HTTP.IHttpClient, 
           OpenEdge.Core.ISupportInitialize, 
           OpenEdge.Logging.ISupportLogging:

  method protected void AddUserAgent (input p1 as OpenEdge.Net.HTTP.IHttpRequest).
  end.
  
  method public void Destroy ().
  end.
  
  method public OpenEdge.Net.HTTP.IHttpResponse Execute(p1 as OpenEdge.Net.HTTP.IHttpRequest).
  end.
  
  method public void Execute(input p1 as OpenEdge.Net.HTTP.IHttpRequest, input p2 as OpenEdge.Net.HTTP.IHttpResponse):
  end.                                 

  method public void Initialize ().
  end.
  
  method static public OpenEdge.Net.HTTP.HttpClient Instance ().
  end.

  constructor public HttpClient(input p1 as character,
                                  input p2 as character,                                  
                                  input p3 as OpenEdge.Net.HTTP.IHttpClientLibrary):
  end constructor.
  
  destructor HttpClient():
  end.
  
  method protected logical ProcessStatusAction(input poRequest  as OpenEdge.Net.HTTP.IHttpRequest,
                                                 input poResponse as OpenEdge.Net.HTTP.IHttpResponse):
  end.

  define public property ClientName as character no-undo get.
  define public property ClientVersion as character no-undo get.
  define public property Logger as OpenEdge.Logging.ILogWriter no-undo get. set.
  define public property Options as OpenEdge.Net.HTTP.ClientOptions no-undo get.

end.
