interface OpenEdge.Net.HTTP.IAuthenticatedRequest:
    
    define public property AuthenticationMethod as character no-undo get.
    
    define public property Credentials as OpenEdge.Net.HTTP.Credentials no-undo get. set.
    
    define public property AuthenticationChallenge as character no-undo get.
  
    method public void SetChallenge(input poAuthMethod  as character,
                                    input pcChallenge   as character).
    
    method public void AddAuthentication().
    
    method public void AddAuthenticationCallback(input poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler).
    
    method public void RemoveAuthenticationCallback(input poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler).
    
    method public integer GetAuthenticationCallbacks(output poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler extent).
    
end interface.