interface OpenEdge.Net.HTTP.IHttpMessage:
   define public property CharacterEncoding as character no-undo get. set.

   define public property ContentLength as integer no-undo get. set.

   define public property ContentMD5 as raw no-undo get. set.

   define public property ContentType as character no-undo get. set.

   define public property Entity as Progress.Lang.Object no-undo get. set.

   define public property TransferEncoding as character no-undo get. set.
 
   define public property Version as character no-undo get. set.
 
   method public void ClearCookies().

   method public void ClearHeaders().

   method public OpenEdge.Net.HTTP.Cookie GetCookie (pcName as character).

   method public integer GetCookies(output poCookies as OpenEdge.Net.HTTP.Cookie extent).

   method public OpenEdge.Net.HTTP.HttpHeader GetHeader(pcName as character).

   method public integer GetHeaders(output poHeaders as OpenEdge.Net.HTTP.HttpHeader extent).

   method public logical HasCookie(pcName as character).

   method public logical HasCookie(poCookie as OpenEdge.Net.HTTP.Cookie).

   method public logical HasHeader(pcName as character).

   method public void RemoveCookie(pcName as character).

   method public void RemoveCookie(poCookie as OpenEdge.Net.HTTP.Cookie).

   method public void RemoveHeader(pcName as character).

   method public void SetCookie(poCookie as OpenEdge.Net.HTTP.Cookie).
   
   method public void SetCookies(input poCookies as OpenEdge.Net.HTTP.Cookie extent).

   method public void SetHeader(poHeader as OpenEdge.Net.HTTP.HttpHeader).
   
   method public void SetHeaders(input poHeader as OpenEdge.Net.HTTP.HttpHeader extent).
   
end.
