class OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder abstract
inherits OpenEdge.Net.HTTP.ConfigBuilder:

  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder AddSslCipher (input p1 as character).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder AddSslProtocol (input p1 as character).
  end.
  
  method static public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Build ().
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option (input p1 as character, input p2 as character).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option (input p1 as character, input p2 as decimal).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option (input p1 as character, input p2 as int64).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option (input p1 as character, input p2 as logical).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder Option (input p1 as character, input p2 as Progress.Lang.Object).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder ReuseSession(input p1 as logical):
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder ServerNameIndicator(input p1 as character):
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SetRequestTimeout (input p1 as decimal).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SetSslCiphers (input p1 as character extent).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SetSslProtocols (input p1 as character extent).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder SslVerifyHost (input p1 as logical).
  end.
  
  method public OpenEdge.Net.HTTP.Lib.ClientLibraryBuilder UsingLogger (input p1 as OpenEdge.Logging.ILogWriter).
  end.
  
  define public abstract property Library as OpenEdge.Net.HTTP.IHttpClientLibrary no-undo get.
  define protected property PROP_SSL_CIPHERS as character no-undo get.
  define protected property PROP_SSL_HOSTVERIFY as character no-undo get.
  define protected property PROP_SSL_PROTOCOLS as character no-undo get.
  define protected property PROP_REUSESESSION as character no-undo get.
  define protected property PROP_SERVERNAME as character no-undo get.
  
  define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry no-undo get.

end.
