class ComponentFactory.Krypton.Toolkit.PaletteContentImage
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property ImageH as ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign
      get.
      set.

   def public property ImageV as ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign
      get.
      set.

   def public property Effect as ComponentFactory.Krypton.Toolkit.PaletteImageEffect
      get.
      set.

   def public property ImageColorMap as System.Drawing.Color
      get.
      set.

   def public property ImageColorTo as System.Drawing.Color
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PaletteContentImage(input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method protected void OnPropertyChanged(input property as character):
   end method.

end class.
