interface Infragistics.Documents.Report.Table.ITableCell:

   def public property Alignment as Infragistics.Documents.Report.ContentAlignment
      get.
      set.

   def public property Width as Infragistics.Documents.Report.Width
      get.
      set.

   def public property Height as Infragistics.Documents.Report.Height
      get.
      set.

   def public property Borders as Infragistics.Documents.Report.Borders
      get.
      set.

   def public property Margins as Infragistics.Documents.Report.HorizontalMargins
      get.
      set.

   def public property Paddings as Infragistics.Documents.Report.Paddings
      get.
      set.

   def public property Background as Infragistics.Documents.Report.Background
      get.
      set.

   def public property Parent as Infragistics.Documents.Report.Table.ITableRow
      get.

   method public Infragistics.Documents.Report.QuickText.IQuickText AddQuickText(input text as character).

   method public Infragistics.Documents.Report.IQuickImage AddQuickImage(input image as Infragistics.Documents.Graphics.Image).

   method public Infragistics.Documents.Report.QuickList.IQuickList AddQuickList().

   method public Infragistics.Documents.Report.QuickTable.IQuickTable AddQuickTable().

   method public Infragistics.Documents.Report.Text.IText AddText().

   method public Infragistics.Documents.Report.IImage AddImage(input image as Infragistics.Documents.Graphics.Image).

   method public Infragistics.Documents.Report.IMetafile AddMetafile(input metafile as Infragistics.Documents.Graphics.Metafile).

   method public Infragistics.Documents.Report.IRule AddRule().

   method public Infragistics.Documents.Report.IGap AddGap().

   method public Infragistics.Documents.Report.IGroup AddGroup().

   method public Infragistics.Documents.Report.IChain AddChain().

   method public Infragistics.Documents.Report.Band.IBand AddBand().

   method public Infragistics.Documents.Report.Table.ITable AddTable().

   method public Infragistics.Documents.Report.Grid.IGrid AddGrid().

   method public Infragistics.Documents.Report.Flow.IFlow AddFlow().

   method public Infragistics.Documents.Report.List.IList AddList().

   method public Infragistics.Documents.Report.Tree.ITree AddTree().

   method public Infragistics.Documents.Report.ISite AddSite().

   method public Infragistics.Documents.Report.ICanvas AddCanvas().

   method public Infragistics.Documents.Report.IRotator AddRotator().

   method public Infragistics.Documents.Report.IContainer AddContainer(input name as character).

   method public Infragistics.Documents.Report.ICondition AddCondition(input container as Infragistics.Documents.Report.IContainer, input fit as logical).

   method public Infragistics.Documents.Report.IStretcher AddStretcher().

   method public void AddDummy().

   method public void AddPageBreak().

   method public Infragistics.Documents.Report.TOC.ITOC AddTOC().

   method public Infragistics.Documents.Report.Index.IIndex AddIndex().

end interface.
