class Infragistics.UltraChart.Core.Layers.BorderLayer
   inherits Infragistics.UltraChart.Core.Layers.Layer
   implements Infragistics.UltraChart.Core.Layers.ILayer:

   def public property BackgroundImageStyle as Infragistics.UltraChart.Shared.Styles.ImageFitStyle
      get.
      set.

   def public property PE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   constructor public BorderLayer(input component as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore):
   end constructor.

   method public final System.Drawing.Color GetBackgroundColor():
   end method.

   method public final void SetBackgroundColor(input color as System.Drawing.Color):
   end method.

   method public final System.Drawing.Color GetBorderColor():
   end method.

   method public final void SetBorderColor(input color as System.Drawing.Color):
   end method.

   method public final System.Drawing.Image GetBackgroundImage():
   end method.

   method public final void SetBackgroundImage(input backImage as System.Drawing.Image):
   end method.

   method public override Infragistics.UltraChart.Resources.Appearance.ChartAppearance GetAppearance():
   end method.

   method public override void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method protected override void CalculateInnerBounds():
   end method.

end class.
