class Infragistics.UltraChart.Core.Layers.Layer
   inherits System.Object
   implements Infragistics.UltraChart.Core.Layers.ILayer
   abstract:

   def protected variable component as Infragistics.UltraChart.Resources.IChartComponent.

   def protected variable Core as Infragistics.UltraChart.Core.ChartCore.

   def protected variable dataIsValid as logical.

   def protected variable outerBounds as System.Drawing.Rectangle.

   def protected variable innerBounds as System.Drawing.Rectangle.

   def protected variable data as Infragistics.UltraChart.Data.IChartData.

   def protected variable optionalDataArray as Infragistics.UltraChart.Data.IChartData extent.

   def protected variable colorModel as Infragistics.UltraChart.Core.ColorModel.IColorModel.

   def public property Path as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property ChartComponent as Infragistics.UltraChart.Resources.IChartComponent
      get.
      set.

   def public property OuterBound as System.Drawing.Rectangle
      get.
      set.

   def public property ChartData as Infragistics.UltraChart.Data.IChartData
      get.
      set.

   def public property ChartCore as Infragistics.UltraChart.Core.ChartCore
      get.
      set.

   def public property ChartColorModel as Infragistics.UltraChart.Core.ColorModel.IColorModel
      get.
      set.

   def public property LayerID as character
      get.
      set.

   def public property Grid as System.Collections.Hashtable
      get.
      set.

   constructor public Layer(input component as Infragistics.UltraChart.Resources.IChartComponent, input chartCore as Infragistics.UltraChart.Core.ChartCore):
   end constructor.

   method public void SetupDataFilter(input dataApp as Infragistics.UltraChart.Resources.Appearance.DataAppearance):
   end method.

   method public void SetupDataFilter():
   end method.

   method public Infragistics.UltraChart.Resources.Appearance.ChartAppearance GetAppearance():
   end method.

   method public void SetAppearance(input appearance as Infragistics.UltraChart.Resources.Appearance.ChartAppearance):
   end method.

   method public void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method protected void ValidateDataForChart():
   end method.

   method public void SetBounds(input bounds as System.Drawing.Rectangle):
   end method.

   method public void SetBounds(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public System.Drawing.Rectangle GetOuterBounds():
   end method.

   method public final System.Drawing.Rectangle GetInnerBounds():
   end method.

   method protected void CalculateInnerBounds():
   end method.

   method public Infragistics.UltraChart.Data.IChartData GetData():
   end method.

   method public Infragistics.UltraChart.Data.IChartData extent GetOptionalData():
   end method.

   method public void SetData(input data as Infragistics.UltraChart.Data.IChartData):
   end method.

   method public void SetOptionalData(input data as Infragistics.UltraChart.Data.IChartData extent):
   end method.

   method public character GetDataInvalidMessage():
   end method.

   method public logical IsVisible():
   end method.

   method public void SetVisible(input visible as logical):
   end method.

end class.
