class Infragistics.UltraChart.Resources.Appearance.ColorAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property Skin as Infragistics.UltraChart.Resources.Appearance.SkinAppearance
      get.

   def public property ModelStyle as Infragistics.UltraChart.Shared.Styles.ColorModels
      get.
      set.

   def public property Scaling as Infragistics.UltraChart.Shared.Styles.ColorScaling
      get.
      set.

   def public property ColorBegin as System.Drawing.Color
      get.
      set.

   def public property ColorEnd as System.Drawing.Color
      get.
      set.

   def public property Grayscale as logical
      get.
      set.

   def public property AlphaLevel as integer
      get.
      set.

   def public property CustomPalette as System.Drawing.Color extent
      get.
      set.

   constructor public ColorAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeSkin():
   end method.

   method public final void ResetSkin():
   end method.

   method protected final logical ShouldSerializeModelStyle():
   end method.

   method protected final logical ShouldSerializeScaling():
   end method.

   method protected final logical ShouldSerializeColorBegin():
   end method.

   method protected final logical ShouldSerializeColorEnd():
   end method.

   method protected final logical ShouldSerializeGrayscale():
   end method.

   method protected final logical ShouldSerializeAlphaLevel():
   end method.

   method protected final logical ShouldSerializeCustomPalette():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method public final override Infragistics.UltraChart.Resources.Appearance.ColorAppearance Clone():
   end method.

end class.
