class Infragistics.UltraChart.Resources.Appearance.CompositeLegend
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable, System.IDisposable:

   def public property Bounds as System.Drawing.Rectangle
      get.
      set.

   def public property BoundsMeasureType as Infragistics.UltraChart.Shared.Styles.MeasureType
      get.
      set.

   def public property PE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property Border as Infragistics.UltraChart.Resources.Appearance.BorderAppearance
      get.
      set.

   def public property ChartLayers as Infragistics.UltraChart.Core.Layers.ChartLayerCollection
      get.

   def public property ChartLayerList as character
      get.
      set.

   def public property LabelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.

   def public property Visible as logical
      get.
      set.

   def public property FormatString as character
      get.
      set.

   constructor public CompositeLegend():
   end constructor.

   constructor public CompositeLegend(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public final void Dispose():
   end method.

   method public override void SetNoUpdate(input noUpdate as logical):
   end method.

   method public final override Infragistics.UltraChart.Resources.Appearance.CompositeLegend Clone():
   end method.

   method protected final logical ShouldSerializeBounds():
   end method.

   method public final void ResetBounds():
   end method.

   method protected final logical ShouldSerializeBoundsMeasureType():
   end method.

   method public final void ResetBoundsMeasureType():
   end method.

   method protected final logical ShouldSerializePE():
   end method.

   method public final void ResetPE():
   end method.

   method protected final logical ShouldSerializeBorder():
   end method.

   method public final void ResetBorder():
   end method.

   method protected final logical ShouldSerializeChartLayerList():
   end method.

   method protected final logical ShouldSerializeLabelStyle():
   end method.

   method public final void ResetLabelStyle():
   end method.

   method public void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph, input chartComponent as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore):
   end method.

   method public override character ToString():
   end method.

   method protected final void FillSceneGraphLinearGradient(input drawRect as System.Drawing.Rectangle, input scene as Infragistics.UltraChart.Core.SceneGraph, input isHeatMap as logical, input core as Infragistics.UltraChart.Core.ChartCore):
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

end class.
