class System.Drawing.Printing.PrinterSettings
   inherits System.Object
   implements System.ICloneable:

   def public property CanDuplex as logical
      get.

   def public property Copies as integer
      get.
      set.

   def public property Collate as logical
      get.
      set.

   def public property DefaultPageSettings as System.Drawing.Printing.PageSettings
      get.

   def public property Duplex as System.Drawing.Printing.Duplex
      get.
      set.

   def public property FromPage as integer
      get.
      set.

   def public static property InstalledPrinters as System.Drawing.Printing.PrinterSettings.StringCollection
      get.

   def public property IsDefaultPrinter as logical
      get.

   def public property IsPlotter as logical
      get.

   def public property IsValid as logical
      get.

   def public property LandscapeAngle as integer
      get.

   def public property MaximumCopies as integer
      get.

   def public property MaximumPage as integer
      get.
      set.

   def public property MinimumPage as integer
      get.
      set.

   def public property PrintFileName as character
      get.
      set.

   def public property PaperSizes as System.Drawing.Printing.PrinterSettings.PaperSizeCollection
      get.

   def public property PaperSources as System.Drawing.Printing.PrinterSettings.PaperSourceCollection
      get.

   def public property PrintRange as System.Drawing.Printing.PrintRange
      get.
      set.

   def public property PrintToFile as logical
      get.
      set.

   def public property PrinterName as character
      get.
      set.

   def public property PrinterResolutions as System.Drawing.Printing.PrinterSettings.PrinterResolutionCollection
      get.

   def public property SupportsColor as logical
      get.

   def public property ToPage as integer
      get.
      set.

   constructor public PrinterSettings():
   end constructor.

   method public final logical IsDirectPrintingSupported(input imageFormat as System.Drawing.Imaging.ImageFormat):
   end method.

   method public final logical IsDirectPrintingSupported(input image as System.Drawing.Image):
   end method.

   method public final override System.Object Clone():
   end method.

   method public final System.Drawing.Graphics CreateMeasurementGraphics():
   end method.

   method public final System.Drawing.Graphics CreateMeasurementGraphics(input honorOriginAtMargins as logical):
   end method.

   method public final System.Drawing.Graphics CreateMeasurementGraphics(input pageSettings as System.Drawing.Printing.PageSettings):
   end method.

   method public final System.Drawing.Graphics CreateMeasurementGraphics(input pageSettings as System.Drawing.Printing.PageSettings, input honorOriginAtMargins as logical):
   end method.

   method public final System.IntPtr GetHdevmode():
   end method.

   method public final System.IntPtr GetHdevmode(input pageSettings as System.Drawing.Printing.PageSettings):
   end method.

   method public final System.IntPtr GetHdevnames():
   end method.

   method public final void SetHdevmode(input hdevmode as System.IntPtr):
   end method.

   method public final void SetHdevnames(input hdevnames as System.IntPtr):
   end method.

   method public override character ToString():
   end method.

end class.
