class System.Security.Cryptography.RSA
   inherits System.Security.Cryptography.AsymmetricAlgorithm
   implements System.IDisposable
   abstract:

   def public override property KeyExchangeAlgorithm as character
      get.

   def public override property SignatureAlgorithm as character
      get.

   constructor protected RSA():
   end constructor.

   method public final static override System.Security.Cryptography.RSA Create():
   end method.

   method public final static override System.Security.Cryptography.RSA Create(input algName as character):
   end method.

   method public final static System.Security.Cryptography.RSA Create(input keySizeInBits as integer):
   end method.

   method public final static System.Security.Cryptography.RSA Create(input parameters as System.Security.Cryptography.RSAParameters):
   end method.

   method public System.Byte extent Encrypt(input data as System.Byte extent, input padding as System.Security.Cryptography.RSAEncryptionPadding):
   end method.

   method public System.Byte extent Decrypt(input data as System.Byte extent, input padding as System.Security.Cryptography.RSAEncryptionPadding):
   end method.

   method public System.Byte extent SignHash(input hash as System.Byte extent, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public logical VerifyHash(input hash as System.Byte extent, input signature as System.Byte extent, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method protected System.Byte extent HashData(input data as System.Byte extent, input offset as integer, input count as integer, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName):
   end method.

   method protected System.Byte extent HashData(input data as System.IO.Stream, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName):
   end method.

   method public final System.Byte extent SignData(input data as System.Byte extent, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public System.Byte extent SignData(input data as System.Byte extent, input offset as integer, input count as integer, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public System.Byte extent SignData(input data as System.IO.Stream, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public final logical VerifyData(input data as System.Byte extent, input signature as System.Byte extent, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public logical VerifyData(input data as System.Byte extent, input offset as integer, input count as integer, input signature as System.Byte extent, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public final logical VerifyData(input data as System.IO.Stream, input signature as System.Byte extent, input hashAlgorithm as System.Security.Cryptography.HashAlgorithmName, input padding as System.Security.Cryptography.RSASignaturePadding):
   end method.

   method public System.Byte extent DecryptValue(input rgb as System.Byte extent):
   end method.

   method public System.Byte extent EncryptValue(input rgb as System.Byte extent):
   end method.

   method public override void FromXmlString(input xmlString as character):
   end method.

   method public override character ToXmlString(input includePrivateParameters as logical):
   end method.

   method public abstract System.Security.Cryptography.RSAParameters ExportParameters(input includePrivateParameters as logical).

   method public abstract void ImportParameters(input parameters as System.Security.Cryptography.RSAParameters).

end class.
