class System.ServiceModel.Channels.MessageHeader
   inherits System.ServiceModel.Channels.MessageHeaderInfo
   abstract:

   def public override property Actor as character
      get.

   def public override property IsReferenceParameter as logical
      get.

   def public override property MustUnderstand as logical
      get.

   def public override property Relay as logical
      get.

   constructor protected MessageHeader():
   end constructor.

   method public logical IsMessageVersionSupported(input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public override character ToString():
   end method.

   method public final void WriteHeader(input writer as System.Xml.XmlWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public final void WriteHeader(input writer as System.Xml.XmlDictionaryWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public final void WriteStartHeader(input writer as System.Xml.XmlDictionaryWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method protected void OnWriteStartHeader(input writer as System.Xml.XmlDictionaryWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public final void WriteHeaderContents(input writer as System.Xml.XmlDictionaryWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method protected abstract void OnWriteHeaderContents(input writer as System.Xml.XmlDictionaryWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion).

   method protected final void WriteHeaderAttributes(input writer as System.Xml.XmlDictionaryWriter, input messageVersion as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input mustUnderstand as logical):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input mustUnderstand as logical, input actor as character):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input mustUnderstand as logical, input actor as character, input relay as logical):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer, input mustUnderstand as logical):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer, input mustUnderstand as logical, input actor as character):
   end method.

   method public final static System.ServiceModel.Channels.MessageHeader CreateHeader(input name as character, input ns as character, input value as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer, input mustUnderstand as logical, input actor as character, input relay as logical):
   end method.

end class.
