class System.Windows.Forms.ScrollableControl
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, 
              System.ComponentModel.ISynchronizeInvoke, 
              System.IDisposable, 
              System.Windows.Forms.UnsafeNativeMethods.IOleControl, 
              System.Windows.Forms.UnsafeNativeMethods.IOleObject, 
              System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, 
              System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, 
              System.Windows.Forms.UnsafeNativeMethods.IOleWindow, 
              System.Windows.Forms.UnsafeNativeMethods.IViewObject, 
              System.Windows.Forms.UnsafeNativeMethods.IViewObject2, 
              System.Windows.Forms.UnsafeNativeMethods.IPersist, 
              System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, 
              System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, 
              System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, 
              System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, 
              System.Windows.Forms.ISupportOleDropSource, 
              System.Windows.Forms.IDropTarget, 
              System.Windows.Forms.IWin32Window, 
              System.Windows.Forms.Layout.IArrangedElement, 
              System.Windows.Forms.IBindableComponent:

   def protected static variable ScrollStateAutoScrolling as integer.

   def protected static variable ScrollStateHScrollVisible as integer.

   def protected static variable ScrollStateVScrollVisible as integer.

   def protected static variable ScrollStateUserHasScrolled as integer.

   def protected static variable ScrollStateFullDrag as integer.

   def public property AutoScroll as logical
      get.
      set.

   def public property AutoScrollMargin as System.Drawing.Size
      get.
      set.

   def public property AutoScrollPosition as System.Drawing.Point
      get.
      set.

   def public property AutoScrollMinSize as System.Drawing.Size
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public override property DisplayRectangle as System.Drawing.Rectangle
      get.

   def protected property HScroll as logical
      get.
      set.

   def public property HorizontalScroll as System.Windows.Forms.HScrollProperties
      get.

   def protected property VScroll as logical
      get.
      set.

   def public property VerticalScroll as System.Windows.Forms.VScrollProperties
      get.

   def public property DockPadding as System.Windows.Forms.ScrollableControl.DockPaddingEdges
      get.

   def public event Scroll signature void (input sender as System.Object, input e as System.Windows.Forms.ScrollEventArgs).

   constructor public ScrollableControl():
   end constructor.

   method protected void AdjustFormScrollbars(input displayScrollbars as logical):
   end method.

   method protected final logical GetScrollState(input bit as integer):
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaintBackground(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnPaddingChanged(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected override void ScaleCore(input dx as decimal, input dy as decimal):
   end method.

   method protected override void ScaleControl(input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected final void SetDisplayRectLocation(input x as integer, input y as integer):
   end method.

   method public final void ScrollControlIntoView(input activeControl as System.Windows.Forms.Control):
   end method.

   method protected System.Drawing.Point ScrollToControl(input activeControl as System.Windows.Forms.Control):
   end method.

   method protected void OnScroll(input se as System.Windows.Forms.ScrollEventArgs):
   end method.

   method public final void SetAutoScrollMargin(input x as integer, input y as integer):
   end method.

   method protected final void SetScrollState(input bit as integer, input value as logical):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
