
interface OpenEdge.Core.Collections.IMap:

   define property Size as int
      get.
   
   define property EntrySet as OpenEdge.Core.Collections.ISet
      get.
      
   define property KeySet as OpenEdge.Core.Collections.ISet
      get.
      
   define property Values as OpenEdge.Core.Collections.ICollection
      get.

   method public void Clear().
   
   method public logical ContainsAllKeys(input oCol as OpenEdge.Core.Collections.ICollection).
   
   method public logical ContainsAllValues(input oCol as OpenEdge.Core.Collections.ICollection).
   
   method public logical ContainsKey(input obj as Progress.Lang.Object).
   
   method public logical ContainsValue(input obj as Progress.Lang.Object).
   
   method public Progress.Lang.Object Get(input obj as Progress.Lang.Object).
   
   method public logical IsEmpty().
   
   method public Progress.Lang.Object Put(input key as Progress.Lang.Object, input val as Progress.Lang.Object).
   
   method public void PutAll(input m as OpenEdge.Core.Collections.IMap).
   
   method public Progress.Lang.Object Remove(input obj as Progress.Lang.Object).
   
   method public void RemoveAll(input oCol as OpenEdge.Core.Collections.ICollection).
   
end interface.