class OpenEdge.Core.Collections.Map serializable
        implements OpenEdge.Core.Collections.IMap:
    
    define public property Size as integer no-undo get.
    
    define public property Values as OpenEdge.Core.Collections.ICollection no-undo get.   
   
    define public property KeySet as OpenEdge.Core.Collections.ISet no-undo get.   
         
    define public property EntrySet as OpenEdge.Core.Collections.ISet no-undo get.   
            
    method public void Clear():
    end method.

    method public override logical Equals(o as Progress.Lang.Object):
    end method.    
    
    method public logical IsEmpty(  ):
    end method.

    method public logical ContainsKey(input poKey as Progress.Lang.Object):
    end method.
    
    method public logical ContainsAllKeys(input poKeys as OpenEdge.Core.Collections.ICollection):
    end method.
    
    method public logical ContainsAllValues(input poValues as OpenEdge.Core.Collections.ICollection):
    end method.
    
    method public logical ContainsValue(poValue as class Progress.Lang.Object):
    end method.
    
    method public Progress.Lang.Object Get(poKey as Progress.Lang.Object):
    end method.
    
    method public Progress.Lang.Object Put(poKey as Progress.Lang.Object, poValue as class Progress.Lang.Object):
    end method.
    
    method public void PutAll(poMap as OpenEdge.Core.Collections.IMap):
    end method.
    
    method public Progress.Lang.Object Remove(input poKey as Progress.Lang.Object):
    end method.

    method public void RemoveAll(input poKeys as OpenEdge.Core.Collections.ICollection).
    end method.
    
    constructor public Map (input poMap as OpenEdge.Core.Collections.IMap):
    end constructor.
    
    constructor public Map (  ):
    end constructor.

    destructor public Map ( ):
    end destructor.

end class.
