class OpenEdge.Net.HTTP.CookieJar
implements OpenEdge.Net.HTTP.ICookieJar, OpenEdge.Core.ISupportInitialize, OpenEdge.Logging.ISupportLogging:
    
    define public property Logger as OpenEdge.Logging.ILogWriter no-undo get. set.

    define public property CookieJarPath as character no-undo get. set.
    
    constructor public CookieJar():
    end constructor.
    
    destructor CookieJar():
    end.

    method public void Initialize():
    end.
    
    method public void Destroy():
    end .
    
    method public void AddCookie(input pcDomain as character,
                                 input pcPath   as character,
                                 input poCookie as OpenEdge.Net.HTTP.Cookie):
    end.
    
    method public void AddCookie(input poCookie as OpenEdge.Net.HTTP.Cookie):
    end.
    
    method public void AddCookies(input poCookies as OpenEdge.Net.HTTP.Cookie extent ):
    end.
    
    method public void ClearPersistentCookies():
    end.
    
    method public void ClearSessionCookies():
    end.
    
    constructor static CookieJar():
    end.
    
    method public integer GetCookies(input poUri as OpenEdge.Net.URI, output poCookies as OpenEdge.Net.HTTP.Cookie extent):
    end.
    
    method public logical RemoveCookie(input poCookie as OpenEdge.Net.HTTP.Cookie):
    end.                                
    
end.

