class OpenEdge.Net.HTTP.CookieJarDecorator 
abstract 
implements OpenEdge.Net.HTTP.ICookieJar:
    
    define protected property DecoratedCookieJar as OpenEdge.Net.HTTP.ICookieJar no-undo get.

    define public property CookieJarPath as character no-undo get. set.

	constructor public CookieJarDecorator(input poCookieJar as OpenEdge.Net.HTTP.ICookieJar):
    end constructor.

    method public integer GetCookies(input poUri as OpenEdge.Net.URI, output poCookies as OpenEdge.Net.HTTP.Cookie extent).
    end method.

    method public void AddCookie(input poCookie as OpenEdge.Net.HTTP.Cookie):
    end method.

    method public void AddCookie(input pcDomain as character,
                                 input pcPath   as character,
                                 input poCookie as OpenEdge.Net.HTTP.Cookie).
    end method.

    method public logical RemoveCookie(input poCookie as OpenEdge.Net.HTTP.Cookie):
    end method.

    method public void AddCookies(input poCookies as OpenEdge.Net.HTTP.Cookie extent):
    end method.

    method public void ClearSessionCookies():
    end method.

    method public void ClearPersistentCookies():
    end method.

end class.