class OpenEdge.Net.HTTP.HttpMessage
implements OpenEdge.Net.HTTP.IHttpMessage,
           OpenEdge.Core.ISupportInitialize,
           OpenEdge.Core.IAdaptable:
               
  define public property CharacterEncoding as character no-undo get. set.

  define public property ContentLength as integer no-undo get. set.

  define public property ContentMD5 as raw no-undo get. set.

  define public property ContentType as character no-undo get. set.

  define protected property Cookies as OpenEdge.Core.Collections.IStringKeyedMap get. set.

  define public property Entity as Progress.Lang.Object no-undo get. set.

  define protected property Headers as OpenEdge.Net.HTTP.HttpHeaderCollection get. set.

  define public property TransferEncoding as character no-undo get. set.

  define public property Version as character no-undo get. set.
  
  destructor HttpMessage():
  end.

  constructor protected HttpMessage():
  end.

  method public void ClearCookies():
  end.

  method public void ClearHeaders():
  end.

  method public void Destroy():
  end.

  method public Progress.Lang.Object GetAdapter(p1 as Progress.Lang.Class):
  end.

  method public OpenEdge.Net.HTTP.Cookie GetCookie(p1 as character):
  end.

  method public integer GetCookies(output p1 as OpenEdge.Net.HTTP.Cookie extent):
  end.

  method public OpenEdge.Net.HTTP.HttpHeader GetHeader(p1 as character):
  end.

  method public integer GetHeaders(output p1 as OpenEdge.Net.HTTP.HttpHeader extent):
  end.

  method public logical HasCookie(p1 as character):
  end.

  method public logical HasCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.

  method public logical HasHeader(p1 as character):
  end.

  method public void Initialize():
  end.

  method public void RemoveCookie(p1 as character):
  end.

  method public void RemoveCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.

  method public void RemoveHeader(p1 as character):
  end.

  method public void SetCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.
  
  method public void SetCookies(input poCookies as OpenEdge.Net.HTTP.Cookie extent):
  end.

  method public void SetHeader(p1 as OpenEdge.Net.HTTP.HttpHeader):
  end.
  
  method public void SetHeaders(input poHeader as OpenEdge.Net.HTTP.HttpHeader extent):
  end.

end.
