class OpenEdge.Net.HTTP.HttpRequestDecorator 
implements  OpenEdge.Net.HTTP.IHttpRequest, 
            OpenEdge.Core.IAdaptable: 
    
    define protected property DecoratedHttpRequest as OpenEdge.Net.HTTP.IHttpRequest no-undo get.
    
    define public property Method as character no-undo get. set.

    define public property URI as OpenEdge.Net.URI no-undo get. set.

    define public property Version as character no-undo get. set.

    define public property ContentType as character no-undo get. set.

    define public property CharacterEncoding as character no-undo get. set.

    define public property ContentMD5 as raw no-undo get. set.

    define public property Entity as Progress.Lang.Object no-undo get. set.
    
    define public property ContentLength as integer no-undo get. set.

    define public property TransferEncoding as character no-undo get. set.
     
    constructor public HttpRequestDecorator(input poHttpRequest as OpenEdge.Net.HTTP.IHttpRequest):
    end constructor.       
    
    method public void SetHeader( input poHeader as OpenEdge.Net.HTTP.HttpHeader ):
    end method.
    
    method public void SetHeaders(input poHeader as OpenEdge.Net.HTTP.HttpHeader extent):
    end method.
    
    method public OpenEdge.Net.HTTP.HttpHeader GetHeader( input pcName as character ):
    end method.

    method public integer GetHeaders(output poHeader as OpenEdge.Net.HTTP.HttpHeader extent ):
    end method.

    method public void RemoveHeader( input pcName as character ):
    end method.

    method public logical HasHeader( input pcName as character ):
    end method.

    method public void ClearHeaders():
    end method.

    method public void SetCookie( input poCookie as OpenEdge.Net.HTTP.Cookie ):
    end method.
    
    method public void SetCookies(input poCookies as OpenEdge.Net.HTTP.Cookie extent):
    end method.
    
    method public integer GetCookies( output poCookies as OpenEdge.Net.HTTP.Cookie extent):
    end method.

    method public void RemoveCookie( input poCookie as OpenEdge.Net.HTTP.Cookie):
    end method.

    method public logical HasCookie( input poCookie as OpenEdge.Net.HTTP.Cookie):
    end method.

    method public void ClearCookies():
    end method.

    method public void RemoveCookie( input pcName as character ):
    end method.

    method public logical HasCookie( input pcName as character ):
    end method.

    method public OpenEdge.Net.HTTP.Cookie GetCookie( input pcName as character ):
    end method.
    
    method public Progress.Lang.Object GetAdapter(input poAdaptTo as class Progress.Lang.Class):
    end method.
    
end class.