class OpenEdge.Net.HTTP.RequestBuilder
inherits OpenEdge.Net.HTTP.ConfigBuilder
implements OpenEdge.Core.ISupportInitialize
abstract:
  define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry get.

  define abstract public property Request as openedge.net.http.ihttprequest get.

  constructor protected RequestBuilder(p1 as character, p2 as OpenEdge.Net.URI):
  end.

  method public void Initialize():
  end.

  method public void Destroy():
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Build(p1 as character, p2 as OpenEdge.Net.URI):
  end.

  method public static openedge.net.http.ihttprequest DecorateRequest(p1 as Progress.Lang.Class, p2 as OpenEdge.Net.HTTP.IHttpRequest):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Delete(p1 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Delete(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Delete(p1 as OpenEdge.Net.URI):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Delete(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Delete(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder ETag(p1 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Get(p1 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Get(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Get(p1 as OpenEdge.Net.URI):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Get(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Get(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Head(p1 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Head(p1 as OpenEdge.Net.URI):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Options(p1 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Options(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Options(p1 as OpenEdge.Net.URI):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Options(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Options(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Patch(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Patch(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Patch(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object, p3 as character):
  end.

  method static public OpenEdge.Net.HTTP.RequestBuilder Post(p1 as character):
  end.

  method static public OpenEdge.Net.HTTP.RequestBuilder Post(p1 as OpenEdge.Net.URI):
  end.
    
  method public static OpenEdge.Net.HTTP.RequestBuilder Post(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Post(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Post(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Put(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Put(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Put(p1 as OpenEdge.Net.URI, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Trace(p1 as character):
  end.

  method public static OpenEdge.Net.HTTP.RequestBuilder Trace(p1 as OpenEdge.Net.URI):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AcceptAll():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder ContentType(p1 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AcceptContentType(p1 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AcceptFormData():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AcceptHtml():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AcceptJson():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AcceptXml():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AddCallback(p1 as Progress.Lang.Class, p2 as handle):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AddCallback(p1 as Progress.Lang.Class, p2 as Progress.Lang.Object):
  end.
  
  method public OpenEdge.Net.HTTP.RequestBuilder AddCookie(input pCookie as OpenEdge.Net.HTTP.Cookie):
  end method.
  
  method public OpenEdge.Net.HTTP.RequestBuilder AddFormData(p1 as character, p2 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AddFormData(p1 as OpenEdge.Core.Collections.IStringStringMap):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AddHeader(p1 as character, p2 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AddHeader(p1 as OpenEdge.Net.HTTP.HttpHeader):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AddJsonData(p1 as Progress.Json.ObjectModel.JsonObject):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AuthCallback(p1 as handle):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder AuthCallback(p1 as Progress.Lang.Object):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder HttpVersion(p1 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder Id(p1 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder SendRequestId():
  end.

  method protected logical SetHeaderOption(p1 as OpenEdge.Net.HTTP.HttpHeader):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder SupportsAuthentication():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder SupportsProxy():
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder ViaProxy(p1 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder ViaProxy(p1 as OpenEdge.Net.URI):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder WithData(p1 as Progress.Lang.Object):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder WithData(p1 as Progress.Lang.Object, p2 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder UsingBasicAuthentication(p1 as OpenEdge.Net.HTTP.Credentials):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder UsingCredentials(p1 as OpenEdge.Net.HTTP.Credentials):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder UsingCredentials(p1 as OpenEdge.Net.HTTP.Credentials, p2 as character, p3 as character):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder UsingDigestAuthentication(p1 as OpenEdge.Net.HTTP.Credentials):
  end.

  method public OpenEdge.Net.HTTP.RequestBuilder WithTransferEncoding(p1 as OpenEdge.Net.HTTP.TransferEncodingEnum):
  end.

end.
