class OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters
implements OpenEdge.Core.ServerConnection.IConnectionParameters:

  define public property FormatMask as OpenEdge.Core.ServerConnection.FormatMaskEnum no-undo get.

  define public property SslCiphers as character extent get. set.

  define public property SslProtocols as character extent get. set.

  define public property URI as openedge.net.uri get. set.

  define public property VerifyHost as logical get. set.
  
  define public property ReuseSession as logical get. set.
  
  define public property ServerNameIndicator as character  no-undo get. set.

  constructor public ClientSocketConnectionParameters():
  end.

  constructor public ClientSocketConnectionParameters(p1 as character, p2 as character, p3 as integer):
  end.

  constructor public ClientSocketConnectionParameters(p1 as OpenEdge.Net.URI):
  end.

  method public character GetConnectionString():
  end.

  method public character GetConnectionString(p1 as character):
  end.

  method public character GetConnectionString(p1 as OpenEdge.Core.ServerConnection.FormatMaskEnum):
  end.

end.
